net.i2p.i2pcontrol.servlets.jsonrpc2handlers

## Class GetRateHandler

- java.lang.Object
- - net.i2p.i2pcontrol.servlets.jsonrpc2handlers.GetRateHandler

- All Implemented Interfaces:
    RequestHandler

      public class GetRateHandler
      extends Object
      implements RequestHandler

  JSON-RPC2 handler for the GetRate method. Retrieves statistical rate data from the router for the specified statistic and time period.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetRateHandler(JSONRPC2Helper helper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `handledRequests()` Gets the names of the handled JSON-RPC 2.0 request methods.
    `JSONRPC2Response` | `process(JSONRPC2Request req, MessageContext ctx)` Processes a JSON-RPC 2.0 request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetRateHandler

          public GetRateHandler(JSONRPC2Helper helper)

  - ### Method Detail

    - #### handledRequests

          public String[] handledRequests()

      Description copied from interface: `RequestHandler`
      Gets the names of the handled JSON-RPC 2.0 request methods.
      Specified by:
        `handledRequests` in interface `RequestHandler`
      Returns:
        The names of the handled JSON-RPC 2.0 request methods.

    - #### process

          public JSONRPC2Response process(JSONRPC2Request req,
                                          MessageContext ctx)

      Description copied from interface: `RequestHandler`
      Processes a JSON-RPC 2.0 request.
      Specified by:
        `process` in interface `RequestHandler`
      Parameters:
        `req` - A valid JSON-RPC 2.0 request instance. Must not be `null`.
        `ctx` - Context information about the request message, may be `null` if undefined.
      Returns:
        The resulting JSON-RPC 2.0 response. It indicates success or an error, such as METHOD_NOT_FOUND.